Get Current CPU information
GET
/info/cpu
const url = 'https://sylve.lan:8181/api/info/cpu';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://sylve.lan:8181/api/info/cpu \ --header 'Authorization: <Authorization>'Retrieves real-time CPU info
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
object
architecture
string
cache
object
l1d
integer
l1i
integer
l2
integer
l3
integer
cacheLine
integer
family
integer
features
Array<string>
frequency
integer
logicalCores
integer
model
integer
name
string
physicalCores
integer
sockets
integer
threadsPerCore
integer
usage
number
error
string
message
string
status
string
Example
{ "data": { "architecture": "amd64" }}Internal Server Error
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}